Bug 1442465 - [python-sh] nothing provides python2-sh
Summary: [python-sh] nothing provides python2-sh
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-sh
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-14 20:36 UTC by Carl George
Modified: 2017-05-03 02:25 UTC (History)
5 users (show)

Fixed In Version: python-sh-1.12.13-2.fc26 python-sh-1.12.13-2.fc25 python-sh-1.12.13-2.el6 python-sh-1.12.13-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 14:27:49 UTC
Type: Bug


Attachments (Terms of Use)

Description Carl George 2017-04-14 20:36:23 UTC
Description of problem:
This package is not following the Fedora Packaging Guidelines for Python.
Nothing currently provides python2-sh.  This can be resolved with a
virtual provides or by changing the subpackage layout so that there are
python2-sh and python3-sh subpackages.

Version-Release number of selected component (if applicable):
python-sh-1.11-4.fc26
python-sh-1.11-2.fc25
python-sh-1.11-1.fc24
python-sh-1.11-1.el7
python-sh-1.02-2.el6

It's not required for EPEL branches, but it doesn't hurt anything and many other packages are doing it there too (keeping EPEL branches identical to the master branch).

Additional info:
http://fedoraproject.org/wiki/Packaging:Python#Provides
http://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Kevin Fenzi 2017-04-15 19:44:48 UTC
I've revamped the package per new guidelines and pushed into rawhide. 

There's a few issues to address however: 

1. There's a env test that fails. I have disabled it for now. 

2. python2 tests don't seem to run, only the python3 ones.

Comment 2 Carl George 2017-04-17 03:36:20 UTC
1. You were correct, it was similar to the OSX thing.  Specifically, it was due to the PEP-0538 backport.

2. Checking the source code, it appears the correct way to run the tests is `python{2,3} sh.py travis`.  That has the desired effect.

Thanks for giving me admin on the package, I've fixed those items and cleaned up a few other things to ensure a clean build on all branches.

Comment 3 Fedora Update System 2017-04-17 03:40:28 UTC
python-sh-1.12.13-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b5560e4012

Comment 4 Fedora Update System 2017-04-17 03:40:37 UTC
python-sh-1.12.13-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-78d3984e81

Comment 5 Fedora Update System 2017-04-17 03:40:43 UTC
python-sh-1.12.13-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e52914ac2d

Comment 6 Fedora Update System 2017-04-17 03:40:49 UTC
python-sh-1.12.13-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5464f9979c

Comment 7 Fedora Update System 2017-04-17 22:24:25 UTC
python-sh-1.12.13-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-78d3984e81

Comment 8 Fedora Update System 2017-04-17 23:50:32 UTC
python-sh-1.12.13-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5464f9979c

Comment 9 Fedora Update System 2017-04-18 01:15:58 UTC
python-sh-1.12.13-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e52914ac2d

Comment 10 Fedora Update System 2017-04-18 01:17:10 UTC
python-sh-1.12.13-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-b5560e4012

Comment 11 Fedora Update System 2017-04-21 14:27:49 UTC
python-sh-1.12.13-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-04-27 05:51:16 UTC
python-sh-1.12.13-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-05-03 02:18:53 UTC
python-sh-1.12.13-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-05-03 02:25:47 UTC
python-sh-1.12.13-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.